(Dec 29) New version 0.9.8-18 has been released

How to sucessfully upgrade Debian8 to Debian9 using VestaCP

Debian/Ubuntu related topics
Forum rules
Before creating a new topic or reply on the forum you should fill out additional fields "Os" and "Web" in your profile section.
In case of violation, the topic can be closed or response from the support will not be received.
dpeca
Collaborator
Posts: 239
Joined: Wed Nov 25, 2015 7:30 pm

How to sucessfully upgrade Debian8 to Debian9 using VestaCP

Postby dpeca » Sat Oct 21, 2017 10:10 pm

Image

First, let me say a few introduction words.

In this moment we don't have .conf files that are ''adapted'' to Debian9.
In this upgrading proccess I mostly left old conf files (from Debian8).
All daemons works very well with old conf files, as I expected (because every programmer leaves backward compatibility for conf files, for example, if they introduce some new variable in conf file, they will just set default value in case variable does not exists in conf file).

Now we have a full list of fresh conf files (modified in Debian9), and in next few weeks I will make 'diff' for those files, so we will have conf files that are 100% adapted to Debian9, and I will be able to adapt VestaCP installer and installer conf directory tree, so you will can install VestaCP directly to Debian9, not only through upgrade from Debian8 to Debian9.

Anyway, I'll repeat - everything works fine even with old conf files.

I still can not guarantee that absolutely everything works - but I went through all services - checked carefully - checked logs - and I didn't find any issue (only Roundcube says in error log that can not execute SQL statement to log wrong login attempt - but it's bug that does not affect anything, and soon I'll see how to alter that mysql table so we can eliminate that little error in log file).

This upgrading manual is for standard VestaCP installation (nginx+apache), but I guess it will works for php-fpm stack too (and for Apache-only), just choose to leave old conf files for php-fpm.

During upgrade proccess, installer will say for rondcube and phpmyadmin that can not convert .proc table in their databases... just select IGNORE - roundcube and phpmyadmin does not have even that table.

So, here is step by step manual:

apt-get update
apt-get upgrade
apt-get dist-upgrade

reboot

sed -i 's/jessie/stretch/g' /etc/apt/sources.list
sed -i 's/jessie/stretch/g' /etc/apt/sources.list.d/nginx.list

apt-get update
apt-get upgrade
apt-get dist-upgrade
# during upgrade proccess apt will ask you what to do for some services, choose the following options:
# configuring roundcube database = select YES
# configuring phpmyadmin database = select YES
# configuring libc6 = select YES to restart services
# Configuration file '/etc/systemd/timesyncd.conf' = Y
# Configuration file '/etc/exim4/exim4.conf.template' = N
# Configuration file '/etc/apache2/apache2.conf' = N
# Configuration file '/etc/roundcube/apache.conf' = Y
# Configuration file '/etc/roundcube/defaults.inc.php' = N
# Configuration file '/etc/roundcube/htaccess' = Y
# Configuration file '/etc/roundcube/plugins/jqueryui/config.inc.php' = Y
# configuring roundcube core = select YES = select IGNORE = keep the local version currently installed
# Configuration file '/etc/roundcube/plugins/password/config.inc.php' = N
# Configuration file '/etc/ssh/ssh_config' = Y
# configuring clamav-daemon = keep the local version currently installed
# modified /etc/dovecot/conf.d/10-logging.conf = keep the local version currently installed
# modified /etc/dovecot/conf.d/10-mail.conf = keep the local version currently installed
# modified /etc/dovecot/conf.d/15-mailboxes.conf = keep the local version currently installed
# modified /etc/dovecot/conf.d/20-imap.conf = keep the local version currently installed
# modified /etc/dovecot/conf.d/20-pop3.conf = keep the local version currently installed
# Configuration file '/etc/phpmyadmin/apache.conf' = Y
# Configuration file '/etc/phpmyadmin/config.inc.php' = N
# Configuring phpmyadmin = select YES = select IGNORE = keep the local version currently installed
# Configuration file '/etc/vsftpd.conf' = N


reboot

# If you are using PHP via Apache then run this three commands:
a2dismod php5
a2enmod php7.0
service apache2 restart

chown admin:admin /var/log/roundcube
chmod 0755 /var/log/roundcube

echo "\$cfg['blowfish_secret'] = 'qtdRoGmbc9{8IZr323xYcSN]0s)r$9b_JUnb{~XQ';" >> /etc/phpmyadmin/config.inc.php
# change this hash string to randomly hash

sed -i '1s#^#Alias /webmail /var/lib/roundcube\n#' /etc/roundcube/apache.conf
service apache2 reload


If you have issue with letsencrypt (account registration 400 error), apply this fix - https://github.com/serghey-rodin/vesta/pull/1236/files
(fix is added to master branch on github tonight)


I will appreciate feedbacks, so we can fix bugs if I missed to find them :)

P.S. Sorry for my not-perfectly english :)

dpeca
Collaborator
Posts: 239
Joined: Wed Nov 25, 2015 7:30 pm

Re: How to sucessfully upgrade Debian8 to Debian9 using VestaCP

Postby dpeca » Sun Oct 22, 2017 12:56 am

Image

Here is how to enable http/2 on nginx.

You only need to edit /home/some_username/conf/web/sngingx.conf and find a line that begin with ''listen'' and add at at the end of line ssl http2 so line looks like:

Code: Select all

listen      111.222.111.222:443 ssl http2;

and then restart nginx:

Code: Select all

service nginx restart


Or better idea is to add this in /usr/local/vesta/data/templates/web/nginx/default.stpl
(and other nginx templates if you are using other nginx templates)

ALPN is also enabled, no need to configure anything.

You can test your site here: https://tools.keycdn.com/http2-test

imperio
VestaCP Team
Posts: 5787
Joined: Sat Dec 01, 2012 12:37 pm
Contact:

Re: How to sucessfully upgrade Debian8 to Debian9 using VestaCP

Postby imperio » Mon Oct 23, 2017 8:52 pm

How about a fresh installation on Debian 9?
-> DigitalOcean competition - please, support us
-> fix for phpmyadmin - nice and sweet now

dpeca
Collaborator
Posts: 239
Joined: Wed Nov 25, 2015 7:30 pm

Re: How to sucessfully upgrade Debian8 to Debian9 using VestaCP

Postby dpeca » Tue Oct 24, 2017 6:21 am

Well, as I said in first post:
dpeca wrote:Now we have a full list of fresh conf files (modified in Debian9), and in next few weeks I will make 'diff' for those files, so we will have conf files that are 100% adapted to Debian9, and I will be able to adapt VestaCP installer and installer conf directory tree, so you will can install VestaCP directly to Debian9, not only through upgrade from Debian8 to Debian9.

But, anyway, Serghey must help us with 'stretch' repository on c.vestacp.com .
I'll do all the rest.

Mikorist
Posts: 1
Joined: Fri Oct 27, 2017 1:31 pm

Re: How to sucessfully upgrade Debian8 to Debian9 using VestaCP

Postby Mikorist » Fri Oct 27, 2017 1:37 pm

Thanks !


Return to “Debian/Ubuntu”



Who is online

Users browsing this forum: No registered users and 0 guests